<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // loop while-do
     var a=1;
    while(a <=10){
        document.write( a +'<br>')
        a++;
    }
    var number= null;
    while(number < 1 || number > 10){
        number= parseInt(prompt('Nhập giá trị từ 1->10:',''))
    }
    document.write('số bạn vừa nhập là:'+number)

    // loop do-while
    do{
        alert('I am recall javascript') // run rồi mới kiểm tra điều kiện
    }while(false)
    document.write('<br>')
    var i=0;
    while(i<5){
        var j=1;
        while(j<6){
            document.write('['+i+']', '['+j+']')
            j++ // tăng j để không bị lặp vô hạn
        }
        document.write('<br>')
        i++; // tăng i để không bị lặp vô hạn
    }

    </script>
</body>
</html>